Manual do PHP
Anterior |  | Próxima

# DOMDocument->createElement()

DOMDocument->createElement() -- Create new element node

## Descrição

class DOMDocument {
DOMElement createElement ( string name [, string value] )
}

This function creates a new instance of class DOMElement. Este nó não será exibido no documento a não ser que ele seja inserido, por exemplo, com DOMNode->appendChild().

## Lista de parâmetros

name

  The tag name of the element.

value

  The value of the element. By default, an empty element will be created. You can also set the value later with DOMElement->nodeValue.

## Valores Retornados

Returns a new instance of class DOMElement or `FALSE` if an error occured.

## Exceptions

`DOM_INVALID_CHARACTER_ERR`

  Raised if name contains an invalid character.

## Exemplos

Exemplo 1. Creating a new element and inserting it as root

`<?php $dom = new DOMDocument('1.0', 'iso-8859-1'); $element = $dom->createElement('test', 'This is the root element!'); // We insert the new element as root (child of the document) $dom->appendChild($element); echo $dom->saveXML(); ?>`

O exemplo acima irá imprimir:

    <?xml version="1.0" encoding="iso-8859-1"?>
    <test>This is the root element!</test>

## Veja também

DOMNode->appendChild()
DOMDocument->createAttribute()
DOMDocument->createAttributeNS()
DOMDocument->createCDATASection()
DOMDocument->createComment()
DOMDocument->createDocumentFragment()
DOMDocument->createElementNS()
DOMDocument->createEntityReference()
DOMDocument->createProcessingInstruction()
DOMDocument->createTextNode()

Anterior | Principal | Próxima
DOMDocument->createDocumentFragment() | Acima | DOMDocument->createElementNS()